Skip to content
payrocdevelopers

List owners

Browse API reference

GET/processing-accounts/{processingAccountId}/ownerslistMerchantOwners

Use this method to return a list of owners of a processing account.

Note: If you want to view the details of a specific owner and you have the ownerId, go to our Retrieve Owner method.

To list the owners of a processing account, you need its processingAccountId. If you don't have the processingAccountId, use our List Merchant Platform's Processing Accounts method to search for the processing account.

Our gateway returns the following information about each owner in the list:

  • Name, date of birth, and address.
  • Contact details, including their email address.
  • Relationship to the business, including whether they are a control prong or authorized signatory, and their equity stake in the business.

Parameters

NameInTypeDescription
processingAccountIdRequiredpathstring

Unique identifier that we assigned to the processing account.

beforequerystring

Return the previous page of results before the value that you specify.

You can’t send the before parameter in the same request as the after parameter.

afterquerystring

Return the next page of results after the value that you specify.

You can’t send the after parameter in the same request as the before parameter.

limitqueryinteger

Limit the maximum number of results that we return for each page.

Responses

Successful request. Returns a list of owners associated with the processing account.

200 OK · application/json
{
  "count": 2,
  "data": [
    {
      "address": {
        "address1": "1 Example Ave.",
        "address2": "Example Address Line 2",
        "address3": "Example Address Line 3",
        "city": "Chicago",
        "country": "US",
        "postalCode": "60056",
        "state": "Illinois"
      },
      "contactMethods": [
        {
          "type": "email",
          "value": "jane.doe@example.com"
        },
        {
          "type": "phone",
          "value": "2025550164"
        }
      ],
      "dateOfBirth": "1964-03-22",
      "firstName": "Jane",
      "identifiers": [
        {
          "type": "nationalId",
          "value": "xxxxx4320"
        }
      ],
      "lastName": "Doe",
      "middleName": "Helen",
      "ownerId": 4564,
      "relationship": {
        "equityPercentage": 48.5,
        "isAuthorizedSignatory": false,
        "isControlProng": true,
        "title": "CFO"
      }
    },
    {
      "address": {
        "address1": "2 Example Ave.",
        "address2": "Example Address Line 2",
        "address3": "Example Address Line 3",
        "city": "Chicago",
        "country": "US",
        "postalCode": "60056",
        "state": "Illinois"
      },
      "contactMethods": [
        {
          "type": "email",
          "value": "fred.nerk@example.com"
        }
      ],
      "dateOfBirth": "1980-01-19",
      "firstName": "Fred",
      "identifiers": [
        {
          "type": "nationalId",
          "value": "xxxxx9876"
        }
      ],
      "lastName": "Nerk",
      "middleName": "Jim",
      "ownerId": 12346,
      "relationship": {
        "equityPercentage": 51.5,
        "isAuthorizedSignatory": true,
        "isControlProng": false,
        "title": "CEO"
      }
    }
  ],
  "hasMore": true,
  "limit": 2,
  "links": [
    {
      "href": "https://api.payroc.com/v1/processing-accounts/38765/owners?before=4564&limit=2",
      "method": "get",
      "rel": "previous"
    },
    {
      "href": "https://api.payroc.com/v1/processing-accounts/38765/owners?after=12346&limit=2",
      "method": "get",
      "rel": "next"
    }
  ]
}
Response schema · 34 of 42 fields
  • countinteger
    Number of results we returned on this page. Note: This might not be the total number of results that match your query.
  • hasMoreboolean
    Indicates whether there is another page of results available.
  • limitinteger
    Maximum number of results that we return for each page.
  • linksobject[]
    Reference links to navigate to the previous page of results or to the next page of results.
    • hrefstringrequired
      URL of the target resource.
    • methodstringrequired
      HTTP method that you need to use with the target resource.
    • relstringrequired
      Indicates the relationship between the current resource and the target resource.
  • dataobject[]
    Array of owner objects.
    • addressobjectrequired
      Object that contains information about the address.
      • address1stringrequired
        Address line 1.≤ 150 chars
      • address2string
        Address line 2.≤ 150 chars
      • address3string
        Address line 3.≤ 150 chars
      • citystringrequired
        City.≤ 50 chars
      • countrystringrequired
        Two-digit country code for the country that the business operates in. The format follows the ISO-3166-1 standard.2–2 chars
      • postalCodestringrequired
        Zip code or postal code.≤ 10 chars
      • statestringrequired
        Name of the state or state abbreviation.≤ 50 chars
    • contactMethodsobject[]required
      Array of polymorphic objects, which contain contact information. Note: If you are adding information about an owner, you must provide at least an email address. If you are adding information about a contact, you must provide at least a contact number. The value of the type parameter determines which variant you should use: email Email address phone Phone number mobile Mobile number fax Fax number1–4 items
      • emailobject
        +2 more fields at deeper levels — see the full spec
      • phoneobject
        +2 more fields at deeper levels — see the full spec
      • mobileobject
        +2 more fields at deeper levels — see the full spec
      • faxobject
        +2 more fields at deeper levels — see the full spec
    • dateOfBirthstringdaterequired
      Owner's date of birth. The format of this value is YYYY-MM-DD.
    • firstNamestringrequired
      Owner's first name.≤ 50 chars
    • identifiersobject[]required
      Array of IDs.≥ 1 items
      • typestringrequired
        Type of ID provided to verify identity.nationalId
      • valuestringrequired
        Social Security Number (SSN) or Social Insurance Number (SIN).
    • lastNamestringrequired
      Owner's last name.≤ 50 chars
    • middleNamestring
      Owner's middle name.≤ 50 chars
    • ownerIdinteger
      Unique identifier that we assigned to the owner.
    • relationshipobjectrequired
      Object that contains information about the owner's relationship to the business.
      • equityPercentagenumberpercentage
        Percentage equity stake that the owner holds in the business.
      • isAuthorizedSignatoryboolean
        Indicates if the owner is an authorized signatory.
      • isControlProngbooleanrequired
        Indicates if the owner is a control prong. You can identify only one control prong for a business.
      • titlestring
        Owner's job title.

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer